/*
 *  Copyright (C) 2007 Viktor Nordell <viktor.nordell@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Viktor Nordell <viktor.nordell@gmail.com>
 */
#ifndef _CALLBACKS_H_
#define _CALLBACKS_H_

#include <gtk/gtk.h>

#include "gui_top_area.h"
#include "gui_bottom_area.h"
#include "gui_middle_area.h"
#include "gui_status_icon.h"
#include "callbacks.h"
#include "main.h"

void top_area_left_button_clicked (GuiTopArea *top_area, MainPrivate* priv);
void top_area_right_button_clicked (GuiTopArea *top_area, MainPrivate* priv);

void bottom_area_stop_button_clicked 	(GuiBottomArea *bottom_area, int type, MainPrivate* priv);
void bottom_area_middle_button_clicked 	(GuiBottomArea *bottom_area, gint x, gint y, MainPrivate* priv);
void bottom_area_right_button_clicked (GuiBottomArea *bottom_area, gint x, gint y, MainPrivate* priv);

void network_row_activated(GuiMiddleArea* middle_area, IPCNetwork *net, guint button, MainPrivate* priv);
void client_row_activated(GuiMiddleArea* middle_area, IPCClient *client, guint button, MainPrivate* priv);

void popup_menu_network_status_activate	(GtkMenuItem *menuitem, MainPrivate* priv);
void popup_menu_network_leave_activate	(GtkMenuItem *menuitem, MainPrivate* priv);
void popup_menu_network_delete_activate	(GtkMenuItem *menuitem, MainPrivate* priv);

void popup_menu_client_ping_activate	(GtkMenuItem *menuitem, MainPrivate* priv);
void popup_menu_client_browse_activate	(GtkMenuItem *menuitem, MainPrivate* priv);
void popup_menu_client_vnc_activate		(GtkMenuItem *menuitem, MainPrivate* priv);
void popup_menu_client_evict_activate	(GtkMenuItem *menuitem, MainPrivate* priv);
void popup_menu_client_ssh_activate		(GtkMenuItem *menuitem, MainPrivate* priv);
void popup_menu_client_copy_activate    (GtkMenuItem *menuitem, MainPrivate* priv);

void gui_menu_network_join_clicked		();
void gui_menu_network_create_clicked	();

void main_window_quit					(GtkWidget *widget, MainPrivate* priv);
void main_window_show_taskbar_callback	(IOSettings *settings, MainPrivate* priv);
gboolean main_window_button_press		(GtkWidget *widget, GdkEventButton *event, MainPrivate* priv);
gboolean main_window_motion_notify 		(GtkWidget *widget, GdkEventMotion *event, MainPrivate* priv);
#endif
