#include <gtk/gtk.h>
#include <glade/glade-xml.h>
#include "gui_fx.h"
#include "gui_frame.h"
#include "gui_dialog.h"

#define GLADE_YES_NO "/dialog-yes-no.glade"
#define GLADE_WIDGET "window-box"

static void
gui_dialog_yes_abort(GtkButton* button, gpointer user_data)
{
    gtk_widget_destroy(GTK_WIDGET(user_data));
}

void
gui_dialog_yes_no(gchar* short_text, gchar* text, ButtonClicked yes, ButtonClicked no, gpointer user_data)
{
    GladeXML* xml;
    GtkWidget *box;
    GtkWidget *wid;
    GtkWidget *wind;
    GtkWidget *frame;    
    
    wind = gtk_window_new(GTK_WINDOW_TOPLEVEL); 
    frame = gui_frame_new();
        
    xml = glade_xml_new(PACKAGE_RESOURCES_DIR GLADE_YES_NO, GLADE_WIDGET, NULL);
    box = glade_xml_get_widget(xml, GLADE_WIDGET);     
    
    wid = glade_xml_get_widget(xml, "yes");    
    g_signal_connect(wid, "clicked", G_CALLBACK(yes), user_data);        
    gui_fx_set_and_create_style(wid);

    wid = glade_xml_get_widget(xml, "abort");    
    g_signal_connect(wid, "clicked", G_CALLBACK(gui_dialog_yes_abort), wind);    
    gui_fx_set_and_create_style(wid);
    
    wid = glade_xml_get_widget(xml, "no");
    g_signal_connect(wid, "clicked", G_CALLBACK(no), user_data);    
    gui_fx_set_and_create_style(wid);
        
    wid = glade_xml_get_widget(xml, "description-short");
    gtk_label_set_label(GTK_LABEL(wid), short_text);
    gui_fx_set_and_create_style(wid);

    wid = glade_xml_get_widget(xml, "description");
    gtk_label_set_label(GTK_LABEL(wid), text);       
    gui_fx_set_and_create_style(wid); 
        
    gtk_container_add(GTK_CONTAINER(frame), box);
    gtk_container_add(GTK_CONTAINER(wind), frame);
    
    g_signal_connect (frame, "right-button-clicked", G_CALLBACK (gui_dialog_yes_abort), wind);	
    
    gtk_window_set_decorated(GTK_WINDOW(wind), FALSE);
    gtk_widget_show_all(wind);
}
