/*
 *  Copyright (C) 2007 Viktor Nordell <viktor.nordell@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Viktor Nordell <viktor.nordell@gmail.com>
 */
#ifndef _GUI_MIDDLE_AREA_H_
#define _GUI_MIDDLE_AREA_H_

#include <gtk/gtk.h>
#include "io_ipc.h"
#include "io_settings.h"

G_BEGIN_DECLS

#define GUI_TYPE_MIDDLE_AREA			(gui_middle_area_get_type ())
#define GUI_MIDDLE_AREA(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), GUI_TYPE_MIDDLE_AREA, GuiMiddleArea))
#define GUI_MIDDLE_AREA_CLASS(obj)		(G_TYPE_CHECK_CLASS_CAST ((obj), GUI_MIDDLE_AREA, GuiMiddleAreaClass))
#define GUI_IS_MIDDLE_AREA(obj)			(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GUI_TYPE_MIDDLE_AREA))
#define GUI_IS_MIDDLE_AREA_CLASS(obj)	(G_TYPE_CHECK_CLASS_TYPE ((obj), GUI_TYPE_MIDDLE_AREA))
#define GUI_MIDDLE_AREA_GET_CLASS		(G_TYPE_INSTANCE_GET_CLASS ((obj), GUI_TYPE_MIDDLE_AREA, GuiMiddleAreaClass))

typedef struct _GuiMiddleArea		GuiMiddleArea;
typedef struct _GuiMiddleAreaClass	GuiMiddleAreaClass;

struct _GuiMiddleArea
{
	GtkDrawingArea parent;
};

struct _GuiMiddleAreaClass
{
	GtkDrawingAreaClass parent_class;
};

GtkWidget *gui_middle_area_new (IOSettings *settings);
GType gui_middle_area_get_type (void) G_GNUC_CONST;

void gui_middle_area_set_network		(GuiMiddleArea *middle_area, IPCNetwork* net);

G_END_DECLS

#endif
