/*
 *  Copyright (C) 2008 Viktor Nordell <viktor.nordell@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Viktor Nordell <viktor.nordell@gmail.com>
 */
#ifndef _GUI_SETTINGS_WINDOW_CALLBACKS_H
#define _GUI_SETTINGS_WINDOW_CALLBACKS_H
#include <gtk/gtk.h>
#include "main.h"

void 	gui_settings_window_opacity_callback        (GtkSpinButton *spinbutton, gpointer user_data);
void 	gui_settings_window_effect_callback         (GtkToggleButton *togglebutton, gpointer user_data);
void	gui_settings_window_show_taskbar_callback   (GtkToggleButton *togglebutton, gpointer user_data);
void 	gui_settings_window_show_offline_callback   (GtkToggleButton *togglebutton, gpointer user_data);
void 	gui_settings_window_quit_dialog_callback    (GtkToggleButton *togglebutton, gpointer user_data);
void    gui_settings_window_color_callback          (GtkColorButton *widget, gpointer user_data);
void    gui_settings_window_font_callback           (GtkFontButton *widget, gpointer user_data);

gboolean    gui_settings_window_vnc_entry_callback      (GtkWidget *widget, GdkEventFocus *event, gpointer user_data);
gboolean    gui_settings_window_sudo_entry_callback     (GtkWidget *widget, GdkEventFocus *event, gpointer user_data);
gboolean    gui_settings_window_tuncfg_entry_callback   (GtkWidget *widget, GdkEventFocus *event, gpointer user_data);
gboolean    gui_settings_window_hamachi_entry_callback  (GtkWidget *widget, GdkEventFocus *event, gpointer user_data);
gboolean    gui_settings_window_browser_entry_callback  (GtkWidget *widget, GdkEventFocus *event, gpointer user_data);
gboolean    gui_settings_window_terminal_entry_callback (GtkWidget *widget, GdkEventFocus *event, gpointer user_data);
gboolean    gui_settings_window_hamachi_folder_entry_callback  (GtkWidget *widget, GdkEventFocus *event, gpointer user_data);
gboolean    gui_settings_window_nick_callback           (GtkWidget *widget, GdkEventFocus *event, MainPrivate* priv);
gboolean    gui_settings_window_keepalive_entry_callback(GtkWidget *widget, GdkEventFocus *event, MainPrivate* priv);
gboolean    gui_settings_window_udpport_entry_callback  (GtkWidget *widget, GdkEventFocus *event, MainPrivate* priv);

#endif

                                                        
