/*
 *  Copyright (C) 2007 Viktor Nordell <viktor.nordell@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Viktor Nordell <viktor.nordell@gmail.com>
 */
#ifndef _IO_HAMACHI_SETTINGS_H
#define _IO_HAMACHI_SETTINGS_H

#include <glib.h>
#include <glib-object.h>
#include "io_settings.h"

G_BEGIN_DECLS

#define IO_TYPE_HAMACHI_SETTINGS			(io_hamachi_settings_get_type ())
#define IO_HAMACHI_SETTINGS(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), IO_TYPE_HAMACHI_SETTINGS, IOHamachiSettings))
#define IO_HAMACHI_SETTINGS_CLASS(obj)		(G_TYPE_CHECK_CLASS_CAST 	((obj), IO_TYPE_HAMACHI_SETTINGS, IOHamachiSettingsClass))
#define IO_IS_HAMACHI_SETTINGS(obj)			(G_TYPE_CHECK_INSTANCE_TYPE ((obj), IO_TYPE_HAMACHI_SETTINGS))
#define IO_IS_HAMACHI_SETTINGS_CLASS(obj)	(G_TYPE_CHECK_CLASS_TYPE 	((obj), IO_TYPE_HAMACHI_SETTINGS))
#define IO_HAMACHI_SETTINGS_GET_CLASS		(G_TYPE_INSTANCE_GET_CLASS 	((obj), IO_TYPE_HAMACHI_SETTINGS, IOHamachiSettingsClass))

typedef struct _IOHamachiSettings			IOHamachiSettings;
typedef struct _IOHamachiSettingsClass		IOHamachiSettingsClass;

struct _IOHamachiSettings
{
	GObject parent;
	gint keep_alive;
    gint udp_port;
};

struct _IOHamachiSettingsClass
{
	GObjectClass parent_class;
};

IOHamachiSettings*	io_hamachi_settings_new 			(IOSettings *settings);
gboolean		io_hamachi_settings_write_settings	    (IOHamachiSettings* settings);
GType io_settings_get_type (void) G_GNUC_CONST;

G_END_DECLS

#endif
