/*
 *  Copyright (C) 2007 Viktor Nordell <viktor.nordell@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Viktor Nordell <viktor.nordell@gmail.com>
 */
#ifndef _MAIN_H_
#define _MAIN_H_

#include <gtk/gtk.h>

#include "io_hamachi_settings.h"
#include "gui_top_area.h"
#include "gui_bottom_area.h"
#include "gui_middle_area.h"

#define TOP_HIGHT 59
#define BOTTOM_HIGHT 39
#define WIDTH 200

typedef struct _MainPrivate MainPrivate;

struct _MainPrivate
{
	IPCConnection *connection;
	IPCClient *client_menu_row;
	IPCNetwork *network_menu_row;
	IPCStatus* stats;
	
	IOSettings *settings;
	IOHamachiSettings *hsettings;
	
	GtkWidget *top_area;
	GtkWidget *bottom_area;
	GtkWidget *middle_area;	
	GtkWidget *client_menu;	
	GtkWidget *network_menu;	
	GtkWidget *window;
	
	gint window_x;
	gint window_y;

	GdkCursor *curser_corner;

#if (GTK_MINOR_VERSION >= 10)
	GtkStatusIcon* status;
#endif

	gboolean hamchi_user_stop;
};

#endif
